[jira] [Resolved] (AVRO-3121) Avro Python3 - Unable to install (pycodestyle)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Resolved] (AVRO-3121) Avro Python3 - Unable to install (pycodestyle)

Dave Cole (Jira)

     [ https://issues.apache.org/jira/browse/AVRO-3121?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Simon resolved AVRO-3121.
-------------------------
    Resolution: Not A Bug

> Avro Python3 - Unable to install (pycodestyle)
> ----------------------------------------------
>
>                 Key: AVRO-3121
>                 URL: https://issues.apache.org/jira/browse/AVRO-3121
>             Project: Apache Avro
>          Issue Type: Bug
>          Components: python
>    Affects Versions: 1.10.0, 1.10.1, 1.10.2
>         Environment: * Python 3.8/3.9
>  * GitLab runner
>  * pip 21.0.1
>            Reporter: Simon
>            Priority: Major
>
> Hi all,
> I'm facing a strange issue on our GitLab runners while installing avro-python3.
> With version 1.10.2, 1.10.1, 1.10.0 and 1.9.2.1 I get:
> {code:java}
> ERROR: Could not find a version that satisfies the requirement pycodestyle
> ERROR: No matching distribution found for pycodestyle{code}
>  
> With version 1.9.2 I get:
> {code:java}
> ModuleNotFoundError: No module named 'pycodestyle'
> {code}
> -> for this issue I have found: https://issues.apache.org/jira/browse/AVRO-2737
>  
> Version 1.9.1 is ok.
>  
> For the issue _No matching distribution_ (_Connection)_ I haven't found a Jira issue. How can this issue be fixed?
> To see the full log see below.
> Thanks for your help!
>  
> *Full logs*
> {code:java}
> Collecting avro-python3
>   Downloading ..cc/97/7a6970380ca8db9139a3cc0b0e3e0dd3e4bc584fb3644e1d06e71e1a55f0/avro-python3-1.10.2.tar.gz (38 kB)
>     ERROR: Command errored out with exit status 1:
>      command: /usr/local/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-m_elok15/avro-python3_9f0cd709caa04d5ba6534d202be15121/setup.py'"'"'; __file__='"'"'/tmp/pip-install-m_elok15/avro-python3_9f0cd709caa04d5ba6534d202be15121/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-pip-egg-info-y9n7c353
>          cwd: /tmp/pip-install-m_elok15/avro-python3_9f0cd709caa04d5ba6534d202be15121/
>     Complete output (39 lines):
>     WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.HTTPSConnection object at 0x7fca95b331f0>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pycodestyle/
>     WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.HTTPSConnection object at 0x7fca95b33430>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pycodestyle/
>     WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.HTTPSConnection object at 0x7fca95b335b0>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pycodestyle/
>     WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.HTTPSConnection object at 0x7fca95b33760>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pycodestyle/
>     WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.HTTPSConnection object at 0x7fca95b338e0>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pycodestyle/
>     ERROR: Could not find a version that satisfies the requirement pycodestyle
>     ERROR: No matching distribution found for pycodestyle
>     Traceback (most recent call last):
>       File "/usr/local/lib/python3.8/site-packages/setuptools/installer.py", line 75, in fetch_build_egg
>         subprocess.check_call(cmd)
>       File "/usr/local/lib/python3.8/subprocess.py", line 364, in check_call
>         raise CalledProcessError(retcode, cmd)
>     subprocess.CalledProcessError: Command '['/usr/local/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpg93an2ba', '--quiet', 'pycodestyle']' returned non-zero exit status 1.
>    
>     The above exception was the direct cause of the following exception:
>    
>     Traceback (most recent call last):
>       File "<string>", line 1, in <module>
>       File "/tmp/pip-install-m_elok15/avro-python3_9f0cd709caa04d5ba6534d202be15121/setup.py", line 172, in <module>
>         main()
>       File "/tmp/pip-install-m_elok15/avro-python3_9f0cd709caa04d5ba6534d202be15121/setup.py", line 164, in main
>         setuptools.setup(cmdclass={
>       File "/usr/local/lib/python3.8/site-packages/setuptools/__init__.py", line 152, in setup
>         _install_setup_requires(attrs)
>       File "/usr/local/lib/python3.8/site-packages/setuptools/__init__.py", line 147, in _install_setup_requires
>         dist.fetch_build_eggs(dist.setup_requires)
>       File "/usr/local/lib/python3.8/site-packages/setuptools/dist.py", line 721, in fetch_build_eggs
>         resolved_dists = pkg_resources.working_set.resolve(
>       File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 766, in resolve
>         dist = best[req.key] = env.best_match(
>       File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1051, in best_match
>         return self.obtain(req, installer)
>       File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1063, in obtain
>         return installer(requirement)
>       File "/usr/local/lib/python3.8/site-packages/setuptools/dist.py", line 780, in fetch_build_egg
>         return fetch_build_egg(self, req)
>       File "/usr/local/lib/python3.8/site-packages/setuptools/installer.py", line 77, in fetch_build_egg
>         raise DistutilsError(str(e)) from e
>     distutils.errors.DistutilsError: Command '['/usr/local/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpg93an2ba', '--quiet', 'pycodestyle']' returned non-zero exit status 1.
>     ----------------------------------------
> WARNING: Discarding ..cc/97/7a6970380ca8db9139a3cc0b0e3e0dd3e4bc584fb3644e1d06e71e1a55f0/avro-python3-1.10.2.tar.gz#sha256=3b63f24e6b04368c3e4a6f923f484be0230d821aad65ac36108edbff29e9aaab (from ../simple/avro-python3/) (requires-python:>=3.5). Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
>   // same issue as above
> WARNING: Discarding ..3f/84/ef37f882a7d93674d6fe1aa6e99f18cf2f34e9b775952f3d85587c11c92e/avro-python3-1.10.1.tar.gz#sha256=9027abeab63dd9b66bd3c564fa0670c70f78027ecb1978d96c6af7ed415b626b (from ../simple/avro-python3/) (requires-python:>=3.5). Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
>   // same issue as above
> WARNING: Discarding ..b2/5a/819537be46d65a01f8b8c6046ed05603fb9ef88c663b8cca840263788d58/avro-python3-1.10.0.tar.gz#sha256=a455c215540b1fceb1823e2a918e94959b54cb363307c97869aa46b5b55bde05 (from ../simple/avro-python3/) (requires-python:>=3.5). Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
>   // // same issue as above
> WARNING: Discarding ..5a/80/acd1455bea0a9fcdc60a748a97dcbb3ff624726fb90987a0fc1c19e7a5a5/avro-python3-1.9.2.1.tar.gz#sha256=ca1e77a3da5ac98e8833588f71fb2e170b38e34787ee0e04920de0e9470b7d32 (from ../simple/avro-python3/) (requires-python:>=3.5). Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
>   Downloading ..31/21/d98e2515e5ca0337d7e747e8065227ee77faf5c817bbb74391899613178a/avro-python3-1.9.2.tar.gz (37 kB)
>     ERROR: Command errored out with exit status 1:
>      command: /usr/local/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-m_elok15/avro-python3_acddcbf37a4941829576deef90e5f575/setup.py'"'"'; __file__='"'"'/tmp/pip-install-m_elok15/avro-python3_acddcbf37a4941829576deef90e5f575/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-pip-egg-info-4prijxeg
>          cwd: /tmp/pip-install-m_elok15/avro-python3_acddcbf37a4941829576deef90e5f575/
>     Complete output (5 lines):
>     Traceback (most recent call last):
>       File "<string>", line 1, in <module>
>       File "/tmp/pip-install-m_elok15/avro-python3_acddcbf37a4941829576deef90e5f575/setup.py", line 41, in <module>
>         import pycodestyle
>     ModuleNotFoundError: No module named 'pycodestyle'
>     ----------------------------------------
> WARNING: Discarding ..31/21/d98e2515e5ca0337d7e747e8065227ee77faf5c817bbb74391899613178a/avro-python3-1.9.2.tar.gz#sha256=f671f8b7ddfeeceadff03421890092c1bc4c4cb1e22c76755ef9bc27bf919da0 (from ../simple/avro-python3/) (requires-python:>=3.5). Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
>   Downloading ..76/b2/98a736a31213d3e281a62bcae5572cf297d2546bc429accf36f9ee1604bf/avro-python3-1.9.1.tar.gz (36 kB){code}
>  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)